Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83000

Summary: /usr/lib/pgsql/plperl.so needs rpath
Product: [Retired] Red Hat Linux Reporter: Thais Smith <tsmith>
Component: postgresqlAssignee: Andrew Overholt <overholt>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-07-07 14:12:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 79578    

Description Thais Smith 2003-01-29 13:43:40 UTC
Description of problem: 
-bash-2.05b$ createlang plperl rhcdb 
ERROR:  Load of file /usr/lib/pgsql/plperl.so failed: libperl.so: cannot open shared object file: No 
such file or directory 
createlang: language installation failed 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
See above 
     
Actual results: 
 
 
Expected results: 
 
 
Additional info: 
libperl.so is present and in /usr/lib/perl5/5.8.0/i386-linux-thread-multi/CORE/ Suggest using 
rpath to tell plperl.so where to find it rather than adding lines to ld.so.conf to ensure always 
correct version.

Comment 1 Andrew Overholt 2003-03-04 17:40:15 UTC
Assigning to me.

Comment 6 Kim Ho 2003-07-07 14:12:23 UTC
Fixed.